Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joseki.vocabulary
Class JosekiVocab

    java.lang.Object
      org.joseki.vocabulary.JosekiSchema
          org.joseki.vocabulary.JosekiVocab

public class JosekiVocab
extends JosekiSchema

Vocabulary Class initially generated by Jena vocabulary generator This class adds the non-schema-generated defintions.

Version:
  $Id: JosekiVocab.java,v 1.4 2004/04/30 14:13:14 andy_seaborne Exp $
Author:
  Andy Seaborne

Field Summary
`static java.lang.String` | `fetchClosure`
`static java.lang.String` | `opAdd`
`static java.lang.String` | `opLock`
`static java.lang.String` | `opOptions`
`static java.lang.String` | `opPing`
`static java.lang.String` | `opQuery`
`static java.lang.String` | `opQueryModel`
`static java.lang.String` | `opRemove`
`static java.lang.String` | `opUnlock`
`static java.lang.String` | `opUpdate`
`static java.lang.String` | `queryOperationFetch`
`static java.lang.String` | `queryOperationGET`
`static java.lang.String` | `queryOperationRDQL`
`static java.lang.String` | `queryOperationSPO`
`static java.lang.String` | `sourceControllerFile`
`static java.lang.String` | `sourceControllerRDB`

Fields inherited from class org.joseki.vocabulary.JosekiSchema
`alsoInclude, attachedModel, AttachedModel, className, dbDriver, dbModelName, dbType, hasOperation, hasQueryOperation, isImmutable, josekiSchema, JosekiServer, ModelDescription, modelSpec, NAMESPACE, namespacePrefix, NS, nsURI, ontDocumentManager, ontology, operation, Operation, OperationBinding, operationName, password, prefix, queryGET, QueryLanguage, QueryLanguageBinding, queryOperation, QueryOperation, QueryOperationBinding, queryOperationName, queryRDQL, queryScript, requestQueryLanguage, serverDebug, serverPort, serverURI, sourceController, SourceController, useContentType, user, vocabulary`

Constructor Summary
`JosekiVocab()`

Methods inherited from class org.joseki.vocabulary.JosekiSchema
`getURI`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### opQuery

    public static java.lang.String opQuery

### opQueryModel

    public static java.lang.String opQueryModel

### opOptions

    public static java.lang.String opOptions

### opPing

    public static java.lang.String opPing

### opAdd

    public static java.lang.String opAdd

### opRemove

    public static java.lang.String opRemove

### opUpdate

    public static java.lang.String opUpdate

### opLock

    public static java.lang.String opLock

### opUnlock

    public static java.lang.String opUnlock

### queryOperationRDQL

    public static java.lang.String queryOperationRDQL

### queryOperationGET

    public static java.lang.String queryOperationGET

### queryOperationFetch

    public static java.lang.String queryOperationFetch

### queryOperationSPO

    public static java.lang.String queryOperationSPO

### fetchClosure

    public static java.lang.String fetchClosure

### sourceControllerFile

    public static java.lang.String sourceControllerFile

### sourceControllerRDB

    public static java.lang.String sourceControllerRDB

Constructor Detail

### JosekiVocab

    public JosekiVocab()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Hewlett-Packard. All Rights Reserved.